## krb4 1.1-8-2

=== debian/changelog ===
krb4 (1.1-8-2) testing-security; urgency=low

  * Second try. 

 -- Mikael Andersson <mikan@debian.org>  Mon, 10 Jun 2002 09:55:33 +0200

krb4 (1.1-8-1) woody-proposed-updates; urgency=high

  * Fix heap overflow bug in ftp client that allows remote code
    execution by malicious ftp server.

 -- Mikael Andersson <mikan@debian.org>  Tue, 14 May 2002 13:19:52 +0200

krb4 (1.1-8) unstable; urgency=low

  * Removed unused manpage for klogin (closes: #128876) 
  * Added some short description for each lib package 
    (hopefully more later) (closes: ##128390)

  * Kerberos4kth-clients now conflicts with krb5-user (Closes: #122739)
  * kerberos4kth-clients-x depends on heimdal kafs package (Closes: #123536)
  * Fixes the common package, with information from the heimdal package, 
    will help Brian May close 127246
	

 -- Mikael Andersson <mikan@debian.org>  Mon, 21 Jan 2002 14:11:58 +0100

krb4 (1.1-7) unstable; urgency=low

  * Added depend on ssl-dev for kerberos4kth-dev because it's using des.h 
    from it. This will hopefully close bug 126283 on the arla package.

 -- Mikael Andersson <mikan@debian.org>  Tue,  8 Jan 2002 20:30:04 +0100

krb4 (1.1-6) unstable; urgency=low

  * Added conflict so that kerberos4kth-dev-common conflict's with heimdal-dev

 -- Mikael Andersson <mikan@debian.org>  Wed, 12 Dec 2001 16:52:52 +0100

krb4 (1.1-5) unstable; urgency=low

  * Moved  libkafs* from kerberos4kth-dev to kerberos4kth-dev-common

 -- Mikael Andersson <mikan@debian.org>  Sun,  9 Dec 2001 12:48:30 +0100

krb4 (1.1-4) unstable; urgency=low

  * Remove own roken, etc libs, and depends on heimdal libs instead. 

 -- Mikael Andersson <mikan@debian.org>  Sat,  8 Dec 2001 18:56:29 +0100

krb4 (1.1-3) unstable; urgency=low

  * Not yet Added kerberos4kth-dev-heimdal after suggestions from Brian May
  * Added conflict to farla wish need to be patched. 
    Arla is patched in arla (0.35.6-1) and I should test a patch against /
    fetchmail. 
  * kerberos4kth-clients conflict with krb5-user (closes #122739)

 -- Mikael Andersson <mikan@debian.org>  Thu,  6 Dec 2001 12:45:11 +0100

krb4 (1.1-2) unstable; urgency=low

  * Patched kpfrom so it query kpush instead of push

 -- Mikael Andersson <mikan@debian.org>  Thu, 22 Nov 2001 10:07:02 +0100

krb4 (1.1-1) unstable; urgency=low

  * New package structure. Mostly taken from heimdal, setconfig?
  * New upstream release. 
  * Most of the patches from krb-1.0 series is applied
  * Added dependency of krb4-config 
    man pages for config files in doc
  * move kip stuff to own package (kerberos4kth-kip)	
  * config script needed (kdc etc)
  * init script. Script for adding to inetd.conf
  * Fix priorities, kdc should be lower because it depends on cracklib
  * Split dev into two packages, dev and dev-common, dev should depend on either dev-common or heimdal-dev
  * convert from db2 to db3, Done some conversion in postinst.
  * dev package is conflicting with arla-dev, shouldn't do that. Need to remove  libacl from arla-dev, and let arla-dev depend on kerberos4kth-dev.
  * Hopefully not needed:
  * Comerr-dev? Conflict? (check more of how heimdal does)
  * move ksrvutil to own package. (so you still can manage srvtabs when you have heimdal binariers installed, needed in the future)
	
 -- Mikael Andersson <mikan@debian.org>  Wed, 14 Nov 2001 21:35:43 +0100

krb4 (1.0.9-1) unstable; urgency=low

  * New maintainer! 
  * New upstream release with security fixes (closes: #108533, #81354)
  * Upstream changed syntax in appl/kx/{rxtelnet.in,rxterm.in}
  * Removed editline.3.gz from dev package, which is also in in
    package libeditline-dev. Added it to do-not-install.files and 
    removed it from kerberos4kth-dev.files.  (closes: #92887)
  * Changed priority to extra (closes: #62900)
  * kip* i clients (closes: #72150)
  * Added build-conflicts for libgdbmg1-dev (closes: #56422)

 -- Mikael Andersson <mikan@debian.org>  Fri, 31 Aug 2001 13:55:42 +0200

krb4 (1.0.6-0.2) unstable; urgency=low

  * NMU.
  * Add build-depends on debhelper (closes: #105898)
  * Fix fakeroot build
  * This appears to now build on alpha (closes: #92759)

 -- Ryan Murray <rmurray@debian.org>  Thu, 26 Jul 2001 02:00:40 -0700

krb4 (1.0.6-0.1) unstable; urgency=low

  * NMU.
  * New upstream version
  * I'm sorry, the previous way of building this package is not only ugly
    but it's causing trouble.  I wouldn't mess with debian/rules in a NMU
    but this is the cleanest solution I could come up with.  I leave it to
    the maintainer to take the advice and improve over it.  This fixes the
    current RC bug. (closes: bug#83125)
  * debian/control: Added a build-depends line, it was a nightmare to get
    this to build.
  * debian/control: grmpf! non-US doesn't have sections, only non-US.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 18 Mar 2001 21:57:13 +0100

krb4 (1.0.2-2) unstable; urgency=low

  * Fix shlibs file to actually match package name

 -- Gregory Stark <gsstark@mit.edu>  Wed, 20 Sep 2000 23:18:49 -0400

krb4 (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Gregory Stark <gsstark@mit.edu>  Sun, 17 Sep 2000 21:53:20 -0400

krb4 (1.0-1) unstable; urgency=low

  * New upstream version (closes #40025 #50337)
    Automatically detects glibc2.1 oddities like getmsg 
    Also handles the db confusion better
    There's a 1.0 release imminent 
  * Added || true on read calls that have defaults (closes #42881)
  * Moved /usr/man to /usr/share/man, /usr/info to /usr/share/info
  * Changed default to use kstash on install and have init.d script
    check on startup if /.k exists and exit immediately if not.
  
 -- Gregory Stark <gsstark@mit.edu>  Sun, 12 Dec 1999 15:09:17 -0500

krb4 (0.9.9-4) unstable; urgency=low

  * Actually put README.Debian in the package, duh
  * Fix the program names in rxtelnet and rxterm to ktelnet and krsh (30668)
  * Use rm -rf on /var/lib/kerberos in postrm, not rm -f, duh (#24319)
  

