## krb4 1.1-8-2.3

=== debian/changelog ===
krb4 (1.1-8-2.3) stable-security; urgency=high

  * Backport of patches from 1.2.1 to 1.2.2
    Fix security bug in kerberos4 cross realm by disabling it. 
    For more information see
    /usr/share/doc/kerberos4kth-kdc/kerberos4kth-kdc.README

 -- Mikael Andersson <mikan@debian.org>  Tue, 18 Mar 2003 16:16:22 +0000

krb4 (1.1-8-2.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Add special detection routine for big/little endianess on MIPS since
    the line "byteorder  : {big|little} endian" from /proc/cpuinfo was
    removed as of Linux 2.4.20, resulting in the mipsel buildd being
    unable to build this package.  (003_configure_mipsel)

 -- Martin Schulze <joey@infodrom.org>  Sun, 27 Oct 2002 21:55:28 +0100

krb4 (1.1-8-2.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Added upstream patch to fix an exploitable buffer overflow in
    kadmind (022_security_kadmind_upstream)
  * Added upstream patch to fix vulnerability in the DNS resolver
    (023_security_roken_upstream)
  * Added patch from SuSE to fix vulnerability in the DNS resolver
    (021_security_roken_suse)
  * Many thanks to Mikael Andersson for helping with these problems

 -- Martin Schulze <joey@infodrom.org>  Sat, 26 Oct 2002 21:07:00 +0200
