=== debian/control ===
Source: krb4
Section: non-US
Priority: optional
Maintainer: Mikael Andersson <mikan@debian.org>
Standards-Version: 3.5.6
Build-Depends: libncurses5-dev, bison, flex, debhelper, xlibs-dev, libreadline4-dev, libdb3-dev, libssl-dev, libhesiod-dev, libpam0g-dev, cracklib2-dev, dbs, automake1.5, libcomerr1-heimdal, libkafs0-heimdal, libotp0-heimdal, libroken9-heimdal, libss0-heimdal
Build-Conflicts: kerberos4kth-dev, kerberos4kth-dev-common, heimdal-dev, heimdal-dev-common, libgdbmg1-dev, arla-dev

Package: kerberos4kth-docs
Architecture: all
Depends: 
Replaces: kerberos4kth1 (<< 1.1)
Conflicts: kerberos4kth1 (<< 1.1)
Suggests: kerberos4kth-clients, kerberos4kth-clients-x, kerberos4kth-servers, kerberos4kth-servers-x
Description: Documentation for Kerberos 4 from KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-kdc
Architecture: any
Conflicts: heimdal-kdc
Depends: ${shlibs:Depends}, logrotate, debconf, krb4-config
Suggests: kerberos4kth-docs
Priority: extra
Description: KDC for Kerberos4 from KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-dev-common
Architecture: any
Conflicts: comerr-dev, ss-dev, heimdal-dev
Depends: libcomerr1-kerberos4kth (= ${Source-Version}) | libcomerr1-heimdal (>= 0.4c) , libotp0-kerberos4kth (= ${Source-Version}) | libotp0-heimdal (>= 0.4c) , libroken9-kerberos4kth (= ${Source-Version}) | libroken9-heimdal (>= 0.4c) , libss0-kerberos4kth (= ${Source-Version}) | libss0-heimdal (>= 0.4c), libkafs0-kerberos4kth (= ${Source-Version}) | libkafs0-heimdal
Description: Development files for Kerberos4 wish is also in heimdal
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-dev
Architecture: any
Conflicts: kerberos4kth-dev, comerr-dev, ss-dev, arla-dev (<< 35.5.3)
Depends: heimdal-dev | kerberos4kth-dev-common (= ${Source-Version}) , libacl1-kerberos4kth, libkadm1-kerberos4kth (= ${Source-Version}), libkdb-1-kerberos4kth  (= ${Source-Version}), libkrb-1-kerberos4kth  (= ${Source-Version}), libssl-dev
Suggests: kerberos4kth-docs
Description: Development files for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-kip
Architecture: any
Depends: ${shlibs:Depends}, krb4-config
Conflicts: kerberos4kth-user (<< 1.1), krb5-user
Description: Kerberos IP Tunnel software
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-clients-x
Architecture: any
Depends: ${shlibs:Depends}, netbase, kerberos4kth-clients
Replaces: kerberos4kth-x11 (<< 1.1)
Conflicts: kerberos4kth-x11 (<< 1.1)
Suggests: kerberos4kth-docs
Description: X11 files for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-clients
Architecture: any
Depends: ${shlibs:Depends}, krb4-config
Conflicts: telnet (<< 0.17-1), ftp, rsh-client (<< 0.16.1-1), netstd, telnet-ssl (<< 0.14.9-2), ssltelnet, kerberos4kth-user (<< 1.1), otp, krb5-user
Provides: telnet-client, ftp, rsh-client
Suggests: kerberos4kth-docs
Description: Clients for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-servers-x
Architecture: any
Conflicts: kerberos4kth-x11 (<< 1.1), kerberos4kth-services (<< 1.1)
Depends: ${shlibs:Depends}, netbase, kerberos4kth-servers
Suggests: kerberos4kth-docs
Description: X11 files for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-servers
Architecture: any
Depends: ${shlibs:Depends}, netbase, krb4-config
Conflicts: telnetd,  wu-ftpd-academ (<< 2.5.0), netstd, heimdal-clients (<< 0.2l-2), telnetd-ssl, kerberos4kth-services (<< 1.1), ftp-server, rsh-server, telnet-server
Provides: ftp-server, rsh-server, telnet-server
Suggests: kerberos4kth-docs
Replaces: kerberos4kth-services (<< 1.1)
Description: Servers for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: kerberos4kth-user
Architecture: all
Recommends: kerberos4kth-clients
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: kerberos4kth-x11
Architecture: all
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: kerberos4kth1
Architecture: all
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: kerberos4kth-services
Architecture: all
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: libacl1-kerberos4kth
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kerberos4kth1 (<< 1.1)
Conflicts: kerberos4kth1 (<< 1.1), kerberos4kth
Description: ACL Libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: libkadm1-kerberos4kth
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kerberos4kth1 (<< 1.1)
Conflicts: kerberos4kth1 (<< 1.1), kerberos4kth
Description: Kadm Libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is from Kungliga Tekniska Hgskolan (the Royal Institute of
 Technology in Stockholm, Sweden). It is based on the eBones version of MIT
 Kerberos which was legally exported from the US by removing all encryption
 hooks before export. It isn't covered by any patents and should be legal to
 use anywhere encryption is legal at all.

Package: libkdb-1-kerberos4kth
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kerberos4kth1 (<< 1.1)
Conflicts: kerberos4kth1 (<< 1.1), kerberos4kth
Description: Kerberos database libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
