## krb4 1.1-8-2.4

=== debian/changelog ===
krb4 (1.1-8-2.4) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch backported by Frank Lichtenheld to fix buffer overflows
    in the telnet client [appl/telnet/telnet/telnet.c, CAN-2005-0468,
    CAN-2005-0469]

 -- Martin Schulze <joey@infodrom.org>  Thu, 26 May 2005 16:27:51 +0200
